<?php
session_start(); 
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 
include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}

$codigo=trim($codigo);


if(mb_stristr('enti.codt',$tabla) and strlen($codigo)>=10 and substr($codigo,0,2)!='99')
{
     $codigo10=substr($codigo,0,10);
     $codigo11=substr($codigo,0,10).'%';
     $codigo13=substr($codigo,0,10).'001';

     $sql_maes='select * from '.$tabla.'0 where '.$tabla.'_codigo like "'.$codigo13.'%"';
     $res_maes=msql_query($sql_maes,$link_data);
     if(msql_num_rows($res_maes)==0)
     {
          $ruc_exist=ruc_exist($codigo13);
          if($ruc_exist){inse_maes($tabla,$codigo13,'*** NUEVO RUC ***');}
     }

     
     $sql_maes='select * from '.$tabla.'0 where '.$tabla.'_codigo like "'.$codigo10.'"';
     $res_maes=msql_query($sql_maes,$link_data);
     if(msql_num_rows($res_maes)==0)
     {
          $ced_exist=ced_exist($codigo10);
          if($ced_exist){inse_maes($tabla,$codigo10,'*** NUEVA CEDULA ***');}
     }          
     

     $sql_maes='select * from '.$tabla.'0 where '.$tabla.'_codigo like "'.$codigo10.'%"';
     $res_maes=msql_query($sql_maes,$link_data);
     if(msql_num_rows($res_maes)==0)
     {
          $ruc_tipo=ruc_tipo($codigo10);  
          if($ruc_tipo=='J'){inse_maes($tabla,$codigo13,'*** NUEVO RUC J ***');}
          if($ruc_tipo=='P'){inse_maes($tabla,$codigo13,'*** NUEVO RUC P ***');}
          if($ruc_tipo=='N'){inse_maes($tabla,$codigo10,'*** NUEVA CEDULA ***');}
//                     if($ruc_tipo=='N'){inse_maes($tabla,$codigo13,'*** NUEVO RUC N ***');}
          if($ruc_tipo=='N' and substr($codigo13,0,2)!='99'){inse_maes($tabla,$codigo13,'*** NUEVO RUC N ***');}
     }

     vali_enti($codigo13);
//      if(1==2)
     
     $enti10=data_maes('enti',$codigo10);
     $enti13=data_maes('enti',$codigo13);
     {
          
//           echo '============= AQUI'.$codigo13;
//           if(1==2)
//           if(mb_stristr2($enti13['enti_descri'],'*** N') or empty($enti13['enti_descri']))
          if(mb_stristr2($enti13['enti_descri'],'*** N') or empty($enti13['enti_descri']) or (empty($enti13['enti_ciiu']) and $ruc_tipo!='N') )
          {
               $ruczip=ruc_zip($codigo13);
               if(gettype($ruczip)=='object')
               {
                    
//                echo '*/*/*/*/*/*/*/*'.$codigo13;
//                echo $ruczip->saveXML();
                    
//  NUMERO_RUC|RAZON_SOCIAL|CODIGO_JURISDICCION|ESTADO_CONTRIBUYENTE|CLASE_CONTRIBUYENTE
// |FECHA_INICIO_ACTIVIDADES|FECHA_ACTUALIZACION|FECHA_SUSPENSION_DEFINITIVA|FECHA_REINICIO_ACTIVIDADES
// |OBLIGADO|TIPO_CONTRIBUYENTE|NUMERO_ESTABLECIMIENTO|NOMBRE_FANTASIA_COMERCIAL|ESTADO_ESTABLECIMIENTO
// |DESCRIPCION_PROVINCIA_EST|DESCRIPCION_CANTON_EST|DESCRIPCION_PARROQUIA_EST
// |CODIGO_CIIU|ACTIVIDAD_ECONOMICA|AGENTE_RETENCION|ESPECIAL
                    
                    $rucstr=$ruczip->getElementsByTagName('ruczip')->item(0)->nodeValue;
                    $descri=$ruczip->getElementsByTagName('RAZON_SOCIAL')->item(0)->nodeValue;
                    $razsoc=$ruczip->getElementsByTagName('RAZON_SOCIAL')->item(0)->nodeValue;
                    $nomcom=$ruczip->getElementsByTagName('NOMBRE_COMERCIAL')->item(0)->nodeValue;
                    $nomcom2=$ruczip->getElementsByTagName('NOMBRE_FANTASIA_COMERCIAL')->item(0)->nodeValue;
                    $struc=$ruczip->getElementsByTagName('ESTADO_CONTRIBUYENTE')->item(0)->nodeValue;
                    $obcon=$ruczip->getElementsByTagName('OBLIGADO')->item(0)->nodeValue;
                    $tiporuc=$ruczip->getElementsByTagName('TIPO_CONTRIBUYENTE')->item(0)->nodeValue;
                    $fechaini=$ruczip->getElementsByTagName('FECHA_INICIO_ACTIVIDADES')->item(0)->nodeValue;
                    $provincia=$ruczip->getElementsByTagName('DESCRIPCION_PROVINCIA_EST')->item(0)->nodeValue;
                    $ciudad=$ruczip->getElementsByTagName('DESCRIPCION_CANTON_EST')->item(0)->nodeValue;
                    $parroq=$ruczip->getElementsByTagName('DESCRIPCION_PARROQUIA_EST')->item(0)->nodeValue;
                    $ciiu=$ruczip->getElementsByTagName('CODIGO_CIIU')->item(0)->nodeValue;
                    $actividad=$ruczip->getElementsByTagName('ACTIVIDAD_ECONOMICA')->item(0)->nodeValue;
                    $agret =$ruczip->getElementsByTagName('AGENTE_RETENCION')->item(0)->nodeValue;
                    $coesp =$ruczip->getElementsByTagName('ESPECIAL')->item(0)->nodeValue;
                    if(empty($nomcom)){$nomcom=$nomcom2;}
                    if(empty($nomcom)){$nomcom=$razsoc;}
                    $prvc=substr($codigo,0,2);
                    
                    if($agret=='S'){$agret=1;}else{$agret=2;}
                    if($coesp=='S'){$coesp=1;}else{$coesp=2;}

//                     echo '*/*/*/*/*/*/*/*'.$provincia;
//                     echo $ruczip->saveXML();

//                     var_dump($ruczip);

                    if(mb_stristr($rucstr,$codigo)){inse_maes($tabla,$codigo13,$descri);}

                    if(!empty($descri)){updt_maes($tabla,$codigo11,'descri',$razsoc);}
                    if(!empty($razsoc)){updt_maes($tabla,$codigo11,'razsoc',$razsoc);}
                    if(!empty($nomcom)){updt_maes($tabla,$codigo11,'nomcom',$nomcom);}
                    updt_maes($tabla,$codigo11,'obcon',$obcon);
                    updt_maes($tabla,$codigo11,'fechaini',$fechaini);
                    updt_maes($tabla,$codigo11,'prvc',$prvc);
                    updt_maes($tabla,$codigo11,'provincia',$provincia);
                    updt_maes($tabla,$codigo11,'ciudad',$ciudad);
                    updt_maes($tabla,$codigo11,'parroq',$parroq);
                    updt_maes($tabla,$codigo11,'actividad',$actividad);
                    updt_maes($tabla,$codigo11,'ciiu',$ciiu);
                    updt_maes($tabla,$codigo11,'agret',$agret);
                    updt_maes($tabla,$codigo11,'coesp',$coesp);
                    if($ruc_tipo=='N')
                    {
                         $names=split_name($descri);
                         updt_maes($tabla,$codigo11,'nom1',$names['nom1']);
                         updt_maes($tabla,$codigo11,'nom2',$names['nom2']);
                         updt_maes($tabla,$codigo11,'ape1',$names['ape1']);
                         updt_maes($tabla,$codigo11,'ape2',$names['ape2']);

                    }
               }
          }
          
   
//           if(1==2)
          if(mb_stristr2($enti13['enti_descri'],'*** N') or empty($enti13['enti_descri']))
          {
               $rucsearch1=ruc_search1($codigo13);
               if(gettype($rucsearch1)=='object')
               {
                    $razsoc=$rucsearch1->getElementsByTagName('razsoc')->item(0)->nodeValue;
                    $nomcom=$rucsearch1->getElementsByTagName('nomcom')->item(0)->nodeValue;
                    if(!empty($razsoc)){updt_maes($tabla,$codigo11,'descri',$razsoc);}
                    if(!empty($razsoc)){updt_maes($tabla,$codigo11,'razsoc',$razsoc);}
                    if(!empty($nomcom)){updt_maes($tabla,$codigo13,'nomcom',$nomcom);}
                    if(!empty($struc)){updt_maes($tabla,$codigo13,'struc',$struc);}
               }
          }
          
          
          if(mb_stristr2($enti10['enti_descri'],'*** N') or empty($enti10['enti_descri']))
          {
               $nombre_ant=get_ced_ant($codigo10);
               if(!empty($nombre_ant))
               {
                    $names=split_name($nombre_ant);
                    updt_maes($tabla,$codigo10,'descri',$nombre_ant);
                    updt_maes($tabla,$codigo10,'razsoc',$nombre_ant);
                    updt_maes($tabla,$codigo10,'nomcom',$nombre_ant);
                    updt_maes($tabla,$codigo11,'nom1',$names['nom1']);
                    updt_maes($tabla,$codigo11,'nom2',$names['nom2']);
                    updt_maes($tabla,$codigo11,'ape1',$names['ape1']);
                    updt_maes($tabla,$codigo11,'ape2',$names['ape2']);
               }
          }
          
          if(mb_stristr2($enti10['enti_descri'],'*** N') or empty($enti10['enti_descri']))
          {
               $nombre_atm=get_ced_atm($codigo10);
               if(!empty($nombre_atm))
               {
                    $names=split_name($nombre_atm);
                    updt_maes($tabla,$codigo10,'descri',$nombre_atm);
                    updt_maes($tabla,$codigo10,'razsoc',$nombre_atm);
                    updt_maes($tabla,$codigo10,'nomcom',$nombre_atm);
                    updt_maes($tabla,$codigo11,'nom1',$names['nom1']);
                    updt_maes($tabla,$codigo11,'nom2',$names['nom2']);
                    updt_maes($tabla,$codigo11,'ape1',$names['ape1']);
                    updt_maes($tabla,$codigo11,'ape2',$names['ape2']);
               }
          }
     }
     
//           echo '============= ANT=> '.$nombre_ant;
//           echo '============= ATM=> '.$nombre_atm;
     
     
     
     if($codi0[$tabla.'_descri']=='' or mb_stristr($codi0[$tabla.'_descri'],'***'))
     {}
}

if($tabla=='item' and strlen($codigo)==13)
{}


// function _valcntn(pnumero)
// {
// var xcntn=false;
// var cc,xchar,xval,xsum,xcheck;
// pnumero=pnumero.replace('-','');
// xcheck=pnumero.substring(-1);
// xsum=0;
// if(pnumero.length==11)
// 	{
// 		if(pnumero.substr(3,1)=='U' || pnumero.substr(3,1)=='J' || pnumero.substr(3,1)=='Z' )
// 		{
// 			for (cc = 0; cc < 10; cc++)
// 			{ 
// 				xchar=pnumero.substr(cc,1);
// 				if('A'.indexOf(xchar)>=0){xval=xchar.charCodeAt(0)-55;}	
// 				if('BCDEFGHIJK'.indexOf(xchar)>=0){xval=xchar.charCodeAt(0)-54;}	
// 				if('LMNOPQRSTU'.indexOf(xchar)>=0){xval=xchar.charCodeAt(0)-53;}	
// 				if('VWXYZ'.indexOf(xchar)>=0){xval=xchar.charCodeAt(0)-52;}	
// 				if('0123456789'.indexOf(xchar)>=0){xval=xchar*1;}	
// 				xsum=xsum+xval*Math.pow(2,cc);
// 			}
// 			xcheck=Math.floor(xsum-Math.floor(xsum/11)*11);
// 			if (xcheck==pnumero.substr(-1))
// 			{
// 			_newcod('cntn',pnumero);
// 			xcntn=true;
// 			}
// 		}
// 	}
// 	return xcntn;
// }
     


if($tabla=='cntn' and strlen($codigo)==11)
{
     $codigo=strtoupper($codigo);
     $codigo=str_replace('-','',$codigo);     

     $sql_maes='select * from '.$tabla.'0 where '.$tabla.'_codigo like "'.$codigo.'%"';
     $res_maes=msql_query($sql_maes,$link_data);

     
     
     if(msql_num_rows($res_maes)==0)
     {
          $cntn_exist=vali_cntn($codigo);
          if($cntn_exist){inse_maes($tabla,$codigo,'*** NUEVO CONTENEDOR ***');}
     }
     
     
     
}

if($tabla=='plvh' and strlen($codigo)>=4)
{
     $codigo=strtoupper($codigo);
     $codigo=str_replace('-','',$codigo);     
     
     $sql_maes='select * from '.$tabla.'0 where '.$tabla.'_codigo like "'.$codigo.'%"';
     $res_maes=msql_query($sql_maes,$link_data);
     
     if(msql_num_rows($res_maes)==0)
     {
          $plvh_exist=plvh_exist($codigo);
          if($plvh_exist)
          {inse_maes($tabla,$codigo,'*** NUEVA PLACA VH ***');}
     }
     
//      $plvh1=get_pla_atm($codigo);
     $plvh1=get_pla_ant($codigo);
     if(gettype($plvh1)=='array')
     {
          foreach ($plvh1 as $key1=>$val1)
          {
               if($key1=="numeroPlaca"){$placa=strtoupper2($val1);}
               if($key1=="numeroCamvCpn"){$camv=strtoupper2($val1);}
               if($key1=="colorVehiculo1"){$clor1=strtoupper2($val1);}
               if($key1=="colorVehiculo2"){$clor2=strtoupper2($val1);}
               if($key1=="cilindraje"){$cilindro=strtoupper2($val1);}
               if($key1=="nombreClase"){$clase=$val1;}
               if($key1=="descripcionMarca"){$mrca=$val1;}
               if($key1=="descripcionMarca"){$marca=$val1;}
               if($key1=="descripcionModelo"){$mdlo=$val1;}
               if($key1=="descripcionModelo"){$modelo=$val1;}
               if($key1=="anioAuto"){$anio=strtoupper2($val1);}
               if($key1=="descripcionPais"){$pais=strtoupper2($val1);}
               if($key1=="descripcionCanton"){$ciudad=strtoupper2($val1);}
          }	

          $descri = $mrca.' /'.$modelo.' /'.$anio.' /'.$clor1;  
          if(!empty($descri))
          {
               $sql_plvh='select * from plvh0 where plvh_codigo="'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);

               if(msql_num_rows($res_plvh)==0)
               {
               $sql_plvh='insert into plvh0(plvh_codigo,plvh_status,plvh_iuser,plvh_idate)value("'.$codigo.'","-","'.$_SESSION['user_codigo'].'",now())';
               $res_plvh=msql_query($sql_plvh,$link_data);
               }

               $sql_plvh ='update plvh0 set plvh_descri="'.$descri.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);
               
               $sql_plvh ='update plvh0 set plvh_mrca="'.$mrca.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);
               
               $sql_plvh ='update plvh0 set plvh_mdlo="'.$modelo.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);
               
               $sql_plvh ='update plvh0 set plvh_modelo="'.$modelo.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);
               
//                $sql_plvh ='update plvh0 set plvh_anio="'.$anio.'" ';
//                $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
//                $res_plvh=msql_query($sql_plvh,$link_data);

//                $sql_plvh ='update plvh0 set plvh_clor="'.$clor1.'" ';
//                $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
//                $res_plvh=msql_query($sql_plvh,$link_data);
               
//                $sql_plvh ='update plvh0 set plvh_clor2="'.$clor2.'" ';
//                $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
//                $res_plvh=msql_query($sql_plvh,$link_data);
               
               $sql_plvh ='update plvh0 set plvh_camv="'.$camv.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);
               
               $sql_plvh ='update plvh0 set plvh_clase="'.$clase.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);
               

          }	
          
     }
     
     $plvh1=get_pla_sri($codigo);
     if(gettype($plvh1)=='object')
     {
          foreach ($plvh1 as $key1=>$val1)
          {
               if($key1=="placa"){$placa=strtoupper2($val1);}
               if($key1=="camvCpn"){$camv=strtoupper2($val1);}
               if($key1=="colorVehiculo1"){$clor1=strtoupper2($val1);}
               if($key1=="colorVehiculo2"){$clor2=strtoupper2($val1);}
               if($key1=="cilindraje"){$cilindro=strtoupper2($val1);}
               if($key1=="clase"){$clase=$val1;}
               if($key1=="marca"){$mrca=$val1;}
               if($key1=="modelo"){$modelo=$val1;}
               if($key1=="anioModelo"){$anio=strtoupper2($val1);}
               if($key1=="paisFabricacion"){$pais=strtoupper2($val1);}
               if($key1=="cantonMatricula"){$ciudad=strtoupper2($val1);}
          }	

          
          $descri = $mrca.$modelo.$anio.$clor1;  
          if(!empty($descri))
          {
               $descri = $mrca.' /'.$modelo.' /'.$anio.' /'.$clor1;  
               $sql_plvh='select * from plvh0 where plvh_codigo="'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);

               if(msql_num_rows($res_plvh)==0)
               {
               $sql_plvh='insert into plvh0(plvh_codigo,plvh_status,plvh_iuser,plvh_idate)value("'.$codigo.'","-","'.$_SESSION['user_codigo'].'",now())';
               $res_plvh=msql_query($sql_plvh,$link_data);
               }

               $sql_plvh ='update plvh0 set plvh_descri="'.$descri.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $sql_plvh.='and length(trim(ifnull(plvh_descri,"")))<10 ';
               $res_plvh=msql_query($sql_plvh,$link_data);

               $sql_plvh ='update plvh0 set plvh_descri0="'.$descri.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'" ';
               $sql_plvh.='and ifnull(plvh_descri0,"")="" ';
               $res_plvh=msql_query($sql_plvh,$link_data);
               
               $sql_plvh ='update plvh0 set plvh_descri="'.$descri.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);
               
               $sql_plvh ='update plvh0 set plvh_mrca="'.$mrca.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);
               
//                $sql_plvh ='update plvh0 set plvh_mdlo="'.$modelo.'" ';
//                $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
//                $res_plvh=msql_query($sql_plvh,$link_data);
               
//                $sql_plvh ='update plvh0 set plvh_modelo="'.$modelo.'" ';
//                $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
//                $res_plvh=msql_query($sql_plvh,$link_data);
               
               $sql_plvh ='update plvh0 set plvh_anio="'.$anio.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);

               $sql_plvh ='update plvh0 set plvh_clor="'.$clor1.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);
               
               $sql_plvh ='update plvh0 set plvh_clor2="'.$clor2.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);
               
               $sql_plvh ='update plvh0 set plvh_camv="'.$camv.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);
               
               $sql_plvh ='update plvh0 set plvh_clase="'.$clase.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);

          }	
          
     }

     $plvh_prop=get_plvh_prop($codigo);
     if(gettype($plvh_prop)=='string')
     {
          if(strlen($plvh_prop)>5)
          {
               $sql_prop='update plvh0 set plvh_propietario="'.$plvh_prop.'" where plvh_codigo="'.$codigo.'"';
               $res_prop=msql_query($sql_prop,$link_data);
          }
     }


//      $plvh0=data_maes('plvh',$codigo);
//      $modelo=$plvh0['modelo'];
     if(mb_stristr($modelo,' '))
     {$modelo=substr($modelo,0,strpos($modelo,' '));}
     
     if(mb_stristr($modelo,'-'))
     {$modelo=substr($modelo,0,strpos($modelo,'-'));}
     
//      $descri = $mrca.' /'.$modelo.' /'.$anio.' /'.$clor1;  

     $descri = $mrca.$modelo.$anio.$clor1;  
     if(!empty($descri))
     {
          $descri = $mrca.' /'.$modelo.' /'.$anio.' /'.$clor1;  
          $sql_plvh ='update plvh0 set plvh_descri="'.$descri.'" ';
          $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
          $res_plvh=msql_query($sql_plvh,$link_data);
     }
     
}



if($tabla=='vinn' and strlen($codigo)==17)
{
     $codigo=strtoupper($codigo);
     $codigo=str_replace('-','',$codigo);     
     
     $sql_maes='select * from '.$tabla.'0 where '.$tabla.'_codigo like "'.$codigo.'%"';
     $res_maes=msql_query($sql_maes,$link_data);
     
     if(msql_num_rows($res_maes)==0)
     {
          $vinn_exist=vinn_exist($codigo);
          if($vinn_exist)
          {inse_maes($tabla,$codigo,'*** NUEVO VINN VH ***');}
     }
     
     $vinn1=deco_vinn($codigo);
     if(gettype($vinn1)=='array')
     {
          foreach ($vinn1 as $key1=>$val1)
          {
               if($key1=="vin"){$vin=strtoupper2($val1);}
               if($key1=="pais"){$pais=strtoupper2($val1);}
//                if($key1=="wmi"){$wmi=strtoupper2($val1);}
//                if($key1=="vds"){$vds=strtoupper2($val1);}
//                if($key1=="vis"){$vis=strtoupper2($val1);}
               if($key1=="anio"){$anio=$val1;}
               if($key1=="planta"){$planta=$val1;}
               if($key1=="serie"){$serie=$val1;}
               
               if($key1=="Fabricante (WMI)"){$wmi=$val1;}
               if($key1=="VDS (Descripción del vehículo)"){$vds=$val1;}
               if($key1=="VIS (Número de serie)"){$vis=$val1;}
          }	

          $descri = $wmi.' /'.$vds.' /'.$vis.' /'.$anio.' /'.$pais;  
          if(!empty($descri))
          {
               $sql_vinn='select * from vinn0 where vinn_codigo="'.$codigo.'"';
               $res_vinn=msql_query($sql_vinn,$link_data);

               if(msql_num_rows($res_vinn)==0)
               {
               $sql_vinn='insert into vinn0(vinn_codigo,vinn_status,vinn_iuser,vinn_idate)value("'.$codigo.'","-","'.$_SESSION['user_codigo'].'",now())';
               $res_vinn=msql_query($sql_vinn,$link_data);
               }

               $sql_vinn ='update vinn0 set vinn_descri="'.$descri.'" ';
               $sql_vinn.='where vinn_codigo = "'.$codigo.'"';
               $res_vinn=msql_query($sql_vinn,$link_data);
               
               $sql_vinn ='update vinn0 set vinn_pais="'.$pais.'" ';
               $sql_vinn.='where vinn_codigo = "'.$codigo.'"';
               $res_vinn=msql_query($sql_vinn,$link_data);
               
               $sql_vinn ='update vinn0 set vinn_anio="'.$anio.'" ';
               $sql_vinn.='where vinn_codigo = "'.$codigo.'"';
               $res_vinn=msql_query($sql_vinn,$link_data);
               
               

          }	
          
     }
     
     
}


if(!empty($codigo))
{
     $domd=new DomDocument();
          $domd->encoding = 'utf-8';
          $domd->xmlVersion = '1.0';
          $domd->formatOutput = true;
     $elem=$domd;
     $response=$elem->appendChild($elem->createElement("response"));

     echo $domd->saveXML();
}

?>
